=== debian/changelog ===
pajeng (1.1+git20140604.1d5509f042-1) unstable; urgency=medium

  [ Martin Quinson ]
  * Initial release (Closes: #698233)

  [ Lucas Nussbaum ]
  * Update to new snapshot from git.
  * Minor changes to packaging.

 -- Lucas Nussbaum <lucas@debian.org>  Wed, 04 Jun 2014 08:03:58 +0200
