=== debian/control ===
Source: pajeng
Priority: extra
Maintainer: Martin Quinson <mquinson@debian.org>
Uploaders: Lucas Nussbaum <lucas@debian.org>
Build-Depends: debhelper (>= 9.0.0), chrpath,
 libqt4-dev, libboost-dev, freeglut3-dev, cmake, libqt4-opengl-dev,
 asciidoc, libxml2-utils, docbook-xml, xsltproc
Standards-Version: 3.9.5
Section: libs
Homepage: https://github.com/schnorr/pajeng
Vcs-Git: git://anonscm.debian.org/collab-maint/pajeng.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/pajeng.git;a=summary

Package: pajeng
Architecture: any
Multi-Arch: foreign
Pre-Depends: multiarch-support
Depends:  ${shlibs:Depends}, ${misc:Depends},
  libpaje1 (= ${binary:Version}), libpajeutils1 (= ${binary:Version})
Description: space-time view and associated tools for Paje trace files
 PajeNG (Paje Next Generation) is a re-implementation (in C++) and
 direct heir of the well-known Paje visualization tool for the
 analysis of execution traces (in the Paje File Format) through trace
 visualization (space/time view). Auxiliary tools are also available
 to dump to CSV and validate the correctness of Paje trace files.

Package: libpaje1
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Parsing, manipulation and simulation of paje trace files
 The libpaje library features the implementation of the Paje File
 Reader, Event Decoder and Simulator. It is capable of reading trace
 files in the Paje file format and keeping them in memory. Data is
 accessed through a well-defined and efficient interface. You can use
 this library to built new visualization techniques for trace
 analysis, without handling all the parsing of files and how events
 are simulated to rebuilt the behavior of the traced application that
 is meant to be analyzed.
 .
 This package contains the run-time files.

Package: libpaje-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Depends: ${misc:Depends},
 libpaje1 (= ${binary:Version})
Description: Parsing, manipulation and simulation of paje trace files (dev)
 The libpaje library features the implementation of the Paje File
 Reader, Event Decoder and Simulator. It is capable of reading trace
 files in the Paje file format and keeping them in memory. Data is
 accessed through a well-defined and efficient interface. You can use
 this library to built new visualization techniques for trace
 analysis, without handling all the parsing of files and how events
 are simulated to rebuilt the behavior of the traced application that
 is meant to be analyzed.
 .
 This package contains the development files (headers, etc.)

Package: paje-dbg
Section: debug
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Depends: ${misc:Depends},
 pajeng (= ${binary:Version}) | libpaje1 (= ${binary:Version}) | libpajeutils1 (= ${binary:Version})
Description: Debug symbols for the Paje libraries
 The libpaje library features the implementation of the Paje File
 Reader, Event Decoder and Simulator. It is capable of reading trace
 files in the Paje file format and keeping them in memory. Data is
 accessed through a well-defined and efficient interface. You can use
 this library to built new visualization techniques for trace
 analysis, without handling all the parsing of files and how events
 are simulated to rebuilt the behavior of the traced application that
 is meant to be analyzed.
 .
 This package contains detached debugging symbols for the package
 pajeng and for the libraries libpaje and libpajeutils.

Package: libpajeutils1
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Qt widgets for handling paje trace files
 This library features Qt widgets to handle Paje trace files. For now,
 it includes only a PajeThreadReader that uses the class QThread so a
 trace file can be read in background without removing the
 interactivity of the tool based on this library. 
 .
 This package contains the run-time files.

Package: libpajeutils-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Depends: ${misc:Depends},
 libpajeutils1 (= ${binary:Version})
Description: Qt widgets for handling paje trace files (dev)
 This library features Qt widgets to handle Paje trace files. For now,
 it includes only a PajeThreadReader that uses the class QThread so a
 trace file can be read in background without removing the
 interactivity of the tool based on this library. 
 .
 This package contains the development files (headers, etc.)
