=== debian/watch ===
version=3
https://github.com/schnorr/pajeng/tags .*/pajeng-(\d[\d\.]+)\.tar\.gz
