=== doc/CMakeLists.txt ===
--- 
+++ 
@@ -23,3 +23,5 @@
   install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${_OUTPUT} DESTINATION ${CMAKE_INSTALL_PREFIX}/man/man1)
 
 endforeach(_INPUT)
+
+add_subdirectory (${CMAKE_HOME_DIRECTORY}/doc/lang-paje/)
