=== debian/changelog ===
pajeng (1.2+git20150818.b1de7cfee5-2) unstable; urgency=medium

  * Build-depend on docbook-xsl to fix FTBFS without Internet connection.
    Thanks Logan Rosen for the patch!
    Closes: #796190

 -- Lucas Nussbaum <lucas@debian.org>  Thu, 20 Aug 2015 11:54:26 +0200

pajeng (1.2+git20150818.b1de7cfee5-1) unstable; urgency=medium

  * New upstream snapshot.
    + Add texlive, flex and bison to build-dependencies.
    + Build documentation.
    + Install some additional headers, and manpages.
  * Rename library package for G++ ABI transition. Closes: #791235
  * Add patch from Ubuntu to fix FTBFS.
  * Drop direct pre-depends on multiarch-support.
  * Bump Standards-Version.

 -- Lucas Nussbaum <lucas@debian.org>  Tue, 18 Aug 2015 17:16:30 +0200
