=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Uploaders: Lucas Nussbaum <lucas@debian.org>
 Build-Depends: debhelper (>= 9.0.0), chrpath,
  libqt4-dev, libboost-dev, freeglut3-dev, cmake, libqt4-opengl-dev,
- asciidoc, libxml2-utils, docbook-xml, xsltproc
-Standards-Version: 3.9.5
+ asciidoc, libxml2-utils, docbook-xml, xsltproc, flex, bison, texlive-latex-extra, texlive-fonts-recommended, docbook-xsl
+Standards-Version: 3.9.6
 Section: libs
 Homepage: https://github.com/schnorr/pajeng
 Vcs-Git: git://anonscm.debian.org/collab-maint/pajeng.git
@@ -14,9 +14,9 @@
 Package: pajeng
 Architecture: any
 Multi-Arch: foreign
-Pre-Depends: multiarch-support
-Depends:  ${shlibs:Depends}, ${misc:Depends},
-  libpaje1 (= ${binary:Version}), libpajeutils1 (= ${binary:Version})
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends},
+  libpaje1v5 (= ${binary:Version}), libpajeutils1 (= ${binary:Version})
 Description: space-time view and associated tools for Paje trace files
  PajeNG (Paje Next Generation) is a re-implementation (in C++) and
  direct heir of the well-known Paje visualization tool for the
@@ -24,11 +24,13 @@
  visualization (space/time view). Auxiliary tools are also available
  to dump to CSV and validate the correctness of Paje trace files.
 
-Package: libpaje1
+Package: libpaje1v5
 Architecture: any
 Multi-Arch: same
-Pre-Depends: multiarch-support
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: libpaje1
+Replaces: libpaje1
 Description: Parsing, manipulation and simulation of paje trace files
  The libpaje library features the implementation of the Paje File
  Reader, Event Decoder and Simulator. It is capable of reading trace
@@ -45,9 +47,9 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Pre-Depends: multiarch-support
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends},
- libpaje1 (= ${binary:Version})
+ libpaje1v5 (= ${binary:Version})
 Description: Parsing, manipulation and simulation of paje trace files (dev)
  The libpaje library features the implementation of the Paje File
  Reader, Event Decoder and Simulator. It is capable of reading trace
@@ -64,9 +66,9 @@
 Section: debug
 Architecture: any
 Multi-Arch: same
-Pre-Depends: multiarch-support
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends},
- pajeng (= ${binary:Version}) | libpaje1 (= ${binary:Version}) | libpajeutils1 (= ${binary:Version})
+ pajeng (= ${binary:Version}) | libpaje1v5 (= ${binary:Version}) | libpajeutils1 (= ${binary:Version})
 Description: Debug symbols for the Paje libraries
  The libpaje library features the implementation of the Paje File
  Reader, Event Decoder and Simulator. It is capable of reading trace
@@ -83,7 +85,7 @@
 Package: libpajeutils1
 Architecture: any
 Multi-Arch: same
-Pre-Depends: multiarch-support
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Qt widgets for handling paje trace files
  This library features Qt widgets to handle Paje trace files. For now,
@@ -97,7 +99,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Pre-Depends: multiarch-support
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends},
  libpajeutils1 (= ${binary:Version})
 Description: Qt widgets for handling paje trace files (dev)
