=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # -*- makefile -*-
 
 # Uncomment this to turn on verbose mode.
-#export DH_VERBOSE=1
+export DH_VERBOSE=1
 
 DH_OPTIONS=
 
@@ -12,7 +12,10 @@
 %:
 	dh $@ $(DH_OPTIONS)
 
-.PHONE: override_dh_auto_install
+override_dh_auto_configure:
+	dh_auto_configure -- -DPAJE_DOC=ON
+
+.PHONY: override_dh_auto_install
 override_dh_auto_install:
 	dh_auto_install
 	chrpath -d debian/tmp/usr/bin/pajeng
